std::error_condition Class Reference
Diagnostics

`#include <system_error>`

## Public Member Functions

| error_condition () noexcept
template<typename _ErrorConditionEnum, typename = typename enable_if<is_error_condition_enum<_ErrorConditionEnum>::value>::type>
| error_condition (_ErrorConditionEnum __e) noexcept
| error_condition (int __v, const error_category &__cat) noexcept
void | assign (int __v, const error_category &__cat) noexcept
const error_category & | category () const noexcept
void | clear () noexcept
string | message () const
| operator bool () const noexcept
template<typename _ErrorConditionEnum>
enable_if< is_error_condition_enum< _ErrorConditionEnum >::value, error_condition & >::type | operator= (_ErrorConditionEnum __e) noexcept
int | value () const noexcept

## Related Symbols

(Note that these are not member symbols.)
error_condition | make_error_condition (errc __e) noexcept
bool | operator!= (const error_condition &__lhs, const error_code &__rhs) noexcept
bool | operator!= (const error_condition &__lhs, const error_condition &__rhs) noexcept
bool | operator< (const error_condition &__lhs, const error_condition &__rhs) noexcept
bool | operator== (const error_code &__lhs, const error_code &__rhs) noexcept
bool | operator== (const error_code &__lhs, const error_condition &__rhs) noexcept
bool | operator== (const error_condition &__lhs, const error_code &__rhs) noexcept
bool | operator== (const error_condition &__lhs, const error_condition &__rhs) noexcept

## Detailed Description

Class error_condition

This class represents error conditions that may be visible at an API boundary. Different error_code values that can occur within a library or module might map to the same error_condition.

An error_condition represents something that the program can test for, and subsequently take appropriate action.

Since
  C++11

Definition at line 351 of file system_error.

## Constructor & Destructor Documentation

## error_condition() [1/3]

std::error_condition::error_condition | ( |  | ) |

inline noexcept

Initialize with a zero (no error) value and the generic category.

Definition at line 355 of file system_error.

Referenced by make_error_condition(), operator<(), operator==(), and operator==().

## error_condition() [2/3]

std::error_condition::error_condition | ( | int | __v,
|  | const error_category & | __cat )

inline noexcept

Initialize with the specified value and category.

Definition at line 359 of file system_error.

## error_condition() [3/3]

template<typename _ErrorConditionEnum, typename = typename enable_if<is_error_condition_enum<_ErrorConditionEnum>::value>::type>

std::error_condition::error_condition | ( | _ErrorConditionEnum | __e | ) |

inline noexcept

Definition at line 364 of file system_error.

## Member Function Documentation

## assign()

void std::error_condition::assign | ( | int | __v,
|  | const error_category & | __cat )

inline noexcept

Set the value and category.

Definition at line 372 of file system_error.

Referenced by clear().

## category()

const error_category & std::error_condition::category | ( |  | ) | const

inline noexcept

The error category that this error belongs to.

Definition at line 400 of file system_error.

Referenced by message().

## clear()

void std::error_condition::clear | ( |  | ) |

inline noexcept

Reset the value and category to the default-constructed state.

Definition at line 387 of file system_error.

References assign().

## message()

string std::error_condition::message | ( |  | ) | const

inline

The category's description of the value.

Definition at line 405 of file system_error.

References category(), std::_V2::error_category::message(), and value().

## operator bool()

std::error_condition::operator bool | ( |  | ) | const

inline explicit noexcept

Test whether value() is non-zero.

Definition at line 410 of file system_error.

## operator=()

template<typename _ErrorConditionEnum>

enable_if< is_error_condition_enum< _ErrorConditionEnum >::value, error_condition & >::type std::error_condition::operator= | ( | _ErrorConditionEnum | __e | ) |

inline noexcept

Definition at line 382 of file system_error.

## value()

int std::error_condition::value | ( |  | ) | const

inline noexcept

The error value.

Definition at line 395 of file system_error.

Referenced by message().

The documentation for this class was generated from the following file:

- system_error